## nvidia-graphics-drivers-530 530.41.03

=== src/nvidia-modeset/Makefile ===
###########################################################################
# Makefile for nv-modeset-kernel.o
###########################################################################

NV_MODULE_LOGGING_NAME ?= nvidia-modeset

VERSION_MK_DIR = ../../
include ../../utils.mk

include srcs.mk

##############################################################################
# Helper functions to determine the compiler type
##############################################################################
GET_COMPILER_TYPE = \
  $(shell $(VERSION_MK_DIR)/nv-compiler.sh type $(1))
##############################################################################

# The source files for nv-modeset-kernel.o are all SRCS and SRCS_CXX defined in
# srcs.mk, and the NVIDIA ID string
ALL_SRCS = $(SRCS) $(SRCS_CXX)
ALL_SRCS += $(NVIDSTRING)

SRC_COMMON = ../common

CONDITIONAL_CFLAGS :=

CFLAGS += -include $(SRC_COMMON)/sdk/nvidia/inc/cpuopsys.h

CFLAGS += -I $(SRC_COMMON)/sdk/nvidia/inc
CFLAGS += -I $(SRC_COMMON)/sdk/nvidia/inc/hw
CFLAGS += -I $(SRC_COMMON)/shared/inc
CFLAGS += -I $(SRC_COMMON)/inc
CFLAGS += -I $(SRC_COMMON)/softfloat/nvidia
CFLAGS += -I $(SRC_COMMON)/softfloat/source/include
CFLAGS += -I $(SRC_COMMON)/softfloat/source/8086-SSE
CFLAGS += -I $(SRC_COMMON)/unix/common/utils/interface
CFLAGS += -I $(SRC_COMMON)/unix/common/inc
CFLAGS += -I $(SRC_COMMON)/modeset
CFLAGS += -I os-interface/include
CFLAGS += -I kapi/interface
CFLAGS += -I ../nvidia/arch/nvalloc/unix/include
CFLAGS += -I interface
CFLAGS += -I include
CFLAGS += -I kapi/include
CFLAGS += -I generated
CFLAGS += -I $(SRC_COMMON)/displayport/inc
CFLAGS += -I $(SRC_COMMON)/displayport/inc/dptestutil
CFLAGS += -I $(SRC_COMMON)/inc/displayport

CFLAGS += -DNDEBUG
CFLAGS += -D_LANGUAGE_C
CFLAGS += -D__NO_CTYPE

CFLAGS += -DNV_CPU_INTRINSICS_KERNEL
CFLAGS += -DNVHDMIPKT_RM_CALLS_INTERNAL=0

# XXX it would be nice to only define these for appropriate files...
CFLAGS += -DSOFTFLOAT_ROUND_ODD
CFLAGS += -DSOFTFLOAT_FAST_DIV32TO16
CFLAGS += -DSOFTFLOAT_FAST_DIV64TO32

# Tell nvtiming to use nvkms import functions
CFLAGS += -DNVT_USE_NVKMS

CFLAGS += -Wformat
CFLAGS += -Wreturn-type
CFLAGS += -Wswitch
CFLAGS += -Wunused-local-typedefs
CFLAGS += -Wchar-subscripts
CFLAGS += -Wparentheses
CFLAGS += -Wpointer-arith
CFLAGS += -Wcast-qual
CFLAGS += -Wall
CFLAGS += -Wextra
CFLAGS += -Wno-sign-compare
CFLAGS += -Wno-unused-parameter
CFLAGS += -Wno-missing-field-initializers
CFLAGS += -Wno-format-zero-length
CFLAGS += -Wmissing-declarations
CFLAGS += -Wno-cast-qual

CFLAGS += -O2

ifeq ($(TARGET_ARCH),x86_64)
  CFLAGS += -msoft-float
  CFLAGS += -mno-red-zone
  CFLAGS += -mcmodel=kernel
  CFLAGS += -mno-mmx
  CFLAGS += -mno-sse
  CFLAGS += -mno-sse2
  CFLAGS += -mno-3dnow
endif

ifeq ($(TARGET_ARCH),aarch64)
  CFLAGS += -mgeneral-regs-only
  CFLAGS += -march=armv8-a
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -mno-outline-atomics)
endif

CFLAGS += -fno-pic
CFLAGS += -fno-common
CFLAGS += -fomit-frame-pointer
CFLAGS += -fno-strict-aliasing
CFLAGS += -ffunction-sections
CFLAGS += -fdata-sections
CFLAGS += -ffreestanding

CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -Wformat-overflow=2)
CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -Wformat-truncation=1)

ifeq ($(TARGET_ARCH),x86_64)
  COMPILER_TYPE := $(call GET_COMPILER_TYPE, $(CC))
  ENDBR_SUPPORTED := $(call AS_HAS_INSTR, endbr64)

  FCF_SUPPORTED =

  #
  # GCC flags -fcf-protection=branch and -mindirect-branch=extern-thunk can
  # be used together after GCC version 9.4.0. See 
  # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93654 for details.
  # Check if GCC version is appropriate.
  #
  ifeq ($(COMPILER_TYPE),gcc)
    FCF_SUPPORTED := \
      $(shell $(VERSION_MK_DIR)/nv-compiler.sh version_is_at_least $(CC) 90400)
  endif

  #
  # Clang version 14.0.0 is required for -fcf-protection=branch to work
  # correctly. See commit
  # https://github.com/llvm/llvm-project/commit/dfcf69770bc522b9e411c66454934a37c1f35332
  #
  ifeq ($(COMPILER_TYPE),clang)
    FCF_SUPPORTED := \
      $(shell $(VERSION_MK_DIR)/nv-compiler.sh version_is_at_least $(CC) 140000)
  endif

  ifeq ($(FCF_SUPPORTED)-$(ENDBR_SUPPORTED),1-1)
    CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -fcf-protection=branch)
  endif
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -fno-jump-tables)
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -mindirect-branch=thunk-extern)
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -mindirect-branch-register)
endif

CFLAGS += $(CONDITIONAL_CFLAGS)

CC_ONLY_CFLAGS += -Wimplicit
CC_ONLY_CFLAGS += -Wstrict-prototypes
CC_ONLY_CFLAGS += -Wmissing-prototypes
CC_ONLY_CFLAGS += -std=gnu11

CXX_ONLY_CFLAGS += -std=gnu++11
CXX_ONLY_CFLAGS += -fno-operator-names
CXX_ONLY_CFLAGS += -fno-rtti
CXX_ONLY_CFLAGS += -fno-exceptions
CXX_ONLY_CFLAGS += -fcheck-new

SHADER_OBJS =

  CFLAGS += -DNVKMS_INCLUDE_HEADSURFACE=1

  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-3d/interface
  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-push/interface
  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-3d/include
  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-push/include
  CFLAGS += -I $(SRC_COMMON)/unix/xzminidec/interface
  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-headsurface
  CFLAGS += -I src/shaders

  CFLAGS += -DNV_PUSH_IN_KERNEL
  CFLAGS += -DNV_XZ_CUSTOM_MEM_HOOKS
  CFLAGS += -DNV_XZ_USE_NVTYPES
  CFLAGS += -DXZ_DEC_SINGLE

  # Compress the shaders and embed in ELF object files.
  define COMPRESS_SHADERS
    $$(OUTPUTDIR)/$(1)_shaders.xz: src/shaders/g_$(1)_shaders
	@$(MKDIR) $$(OUTPUTDIR)
	$$(call quiet_cmd,XZ) -ce -C none < $$^ > $$@

    $$(eval $$(call READ_ONLY_OBJECT_FROM_FILE_RULE,$$(OUTPUTDIR)/$(1)_shaders.xz))

    SHADER_OBJS += $$(OUTPUTDIR)/$(1)_shaders.xz.o
  endef

  $(eval $(call COMPRESS_SHADERS,maxwell))
  $(eval $(call COMPRESS_SHADERS,pascal))
  $(eval $(call COMPRESS_SHADERS,volta))
  $(eval $(call COMPRESS_SHADERS,turing))
  $(eval $(call COMPRESS_SHADERS,ampere))
    $(eval $(call COMPRESS_SHADERS,hopper))

OBJS = $(call BUILD_OBJECT_LIST,$(ALL_SRCS))
OBJS += $(SHADER_OBJS)

# Define how to generate the NVIDIA ID string
$(eval $(call GENERATE_NVIDSTRING, \
  NV_KMS_ID, \
  UNIX Open Kernel Mode Setting Driver, $(OBJS)))

# Define how to build each object file from the corresponding source file.
$(foreach src, $(ALL_SRCS), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

NV_MODESET_KERNEL_O = $(OUTPUTDIR)/nv-modeset-kernel.o

.PHONY: all
all: $(NV_MODESET_KERNEL_O)

$(NV_MODESET_KERNEL_O): $(OBJS)
	$(call quiet_cmd,LD) -r -o $(NV_MODESET_KERNEL_O) $(OBJS)

.PHONY: clean
clean:
	$(RM) -rf $(OUTPUTDIR)

=== debian/changelog ===
nvidia-graphics-drivers-530 (530.41.03-0ubuntu0.22.04.2) jammy; urgency=medium

  * debian/templates/control.in:
   - Add build dependency on ztd on i386.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 14 Apr 2023 16:08:09 +0000

nvidia-graphics-drivers-530 (530.41.03-0ubuntu0.22.04.1) jammy; urgency=medium

  * Initial release (LP: #2015491).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 11 Apr 2023 10:13:47 +0000

=== debian/control ===
Source: nvidia-graphics-drivers-530
Section: non-free/libs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Alberto Milone <alberto.milone@canonical.com>,
Vcs-Git: git://github.com/tseliot/nvidia-graphics-drivers.git
Vcs-Browser: https://github.com/tseliot/nvidia-graphics-drivers/tree/530
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.17.11~),
 xz-utils,
 zstd [i386],
 dkms,
 libxext6,
 quilt,
 po-debconf,
 dh-modaliases,
 xserver-xorg-dev (>= 2:1.4),
 libglvnd-dev,
 libkmod-dev,
 libpciaccess-dev,
 pkg-config,
 libnvidia-egl-wayland1,
 libc6,
 libx11-6,
 python3,
Standards-Version: 4.1.1
Homepage: http://www.nvidia.com
XS-Autobuild: yes

Package: nvidia-driver-530
Architecture: amd64 arm64
Depends:
 libnvidia-gl-530 (= ${binary:Version}),
 nvidia-dkms-530 (<= 530.41.03-1),
 nvidia-dkms-530 (>= 530.41.03),
 nvidia-kernel-common-530 (<= 530.41.03-1),
 nvidia-kernel-common-530 (>= 530.41.03),
 nvidia-kernel-source-530 (= ${binary:Version}),
 libnvidia-compute-530 (= ${binary:Version}),
 libnvidia-extra-530 (= ${binary:Version}),
 nvidia-compute-utils-530 (= ${binary:Version}),
 libnvidia-decode-530 (= ${binary:Version}),
 libnvidia-encode-530 (= ${binary:Version}),
 nvidia-utils-530 (= ${binary:Version}),
 xserver-xorg-video-nvidia-530 (= ${binary:Version}),
 libnvidia-cfg1-530 (= ${binary:Version}),
 libnvidia-fbc1-530 (= ${binary:Version}) [!ppc64el],
 ${misc:Depends}
Recommends:
 nvidia-settings, nvidia-prime (>= 0.8),
 libnvidia-compute-530:i386 (= ${binary:Version}) [amd64],
 libnvidia-decode-530:i386 (= ${binary:Version}) [amd64],
 libnvidia-encode-530:i386 (= ${binary:Version}) [amd64],
 libnvidia-fbc1-530:i386 (= ${binary:Version}) [amd64],
 libnvidia-gl-530:i386 (= ${binary:Version}) [amd64]
XB-Modaliases: ${modaliases}
XB-PmAliases: ${nvidia:pm-modaliases}
XB-Support: PB
Description: NVIDIA driver metapackage
 This metapackage depends on the NVIDIA binary driver and on all of its libraries,
 to provide hardware acceleration for OpenGL/GLX/EGL/GLES/Vulkan
 applications on either X11 or on Wayland.
 .
 See /usr/share/doc/nvidia-driver-530/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-kernel-source-530
Architecture: amd64 arm64
Multi-Arch: foreign
Conflicts:
 nvidia-kernel-source
Replaces:
 nvidia-kernel-source, nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Provides:
 nvidia-kernel-source
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA kernel source package
 This package provides the NVIDIA kernel source needed by the userspace
 driver.

Package: nvidia-dkms-530
Architecture: amd64 arm64
Multi-Arch: foreign
Conflicts:
 nvidia-dkms-kernel
Breaks: nvidia-kernel-source-530 (<< 390.25-0ubuntu2~)
Replaces:
 nvidia-dkms-kernel, nvidia-kernel-source-530 (<< 390.25-0ubuntu2~), nvidia-384 (<< 390.25)
Provides:
 nvidia-dkms-kernel
Depends:
 dkms,
 nvidia-kernel-source-530 (<= 530.41.03-1),
 nvidia-kernel-source-530 (>= 530.41.03),
 nvidia-kernel-common-530 (<= 530.41.03-1),
 nvidia-kernel-common-530 (>= 530.41.03),
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA DKMS package
 This package builds the NVIDIA kernel module needed by the userspace
 driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel, and automatically rebuilt for
 any new kernel headers that are installed.

Package: nvidia-utils-530
Architecture: amd64 arm64
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Suggests:
 nvidia-driver-530,
Provides:
 nvidia-utils, nvidia-smi
Conflicts:
 nvidia-utils, nvidia-smi
Replaces:
 nvidia-utils, nvidia-smi
Description: NVIDIA driver support binaries
 This package contains supporting binaries for the NVIDIA driver.

Package: libnvidia-compute-530
Architecture: i386 amd64 arm64
Multi-Arch: same
Depends:
  ${misc:Depends}, ${shlibs:Depends}
Provides: libnvidia-compute, nvidia-opencl-icd, opencl-icd, libnvidia-ml.so.1 (= ${source:Version}),
 libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
 libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
 libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
 libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
 libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
 libcuda-11.7-1,
 libcuda.so.1 (= ${source:Version})
Conflicts: libnvidia-compute, nvidia-opencl-icd,
 libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
 libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
 libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
 libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
 libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
 libcuda-11.7-1
Replaces: libnvidia-compute, nvidia-opencl-icd, libnvidia-compute-530 (<< 390.25-0ubuntu2~),
 libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
 libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
 libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
 libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
 libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
 libcuda-11.7-1
Description: NVIDIA libcompute package
 This package provides a set of libraries which enable the NVIDIA driver
 to use GPUs for parallel general purpose computation through CUDA and
 OpenCL.

Package: nvidia-compute-utils-530
Architecture: amd64 arm64
Depends:
 libnvidia-compute-530, adduser,
 ${misc:Depends}, ${shlibs:Depends}
Provides: nvidia-compute-utils, nvidia-persistenced
Conflicts: nvidia-compute-utils, nvidia-persistenced
Replaces: nvidia-compute-utils, nvidia-persistenced
Description: NVIDIA compute utilities
 This package provides utility binaries for paraller general purpose
 computing use cases with the NVIDIA driver.
 .
 CUDA MPS is a feature that allows multiple CUDA processes to share a single
 GPU context. CUDA MPS should be transparent to CUDA programs.
 .
 CUDA MPS requires a device that supports Unified Virtual Address (UVA) and
 has compute capability SM 3.5 or higher.
 Pre-CUDA 4.0 APIs are not supported under CUDA MPS.

Package: nvidia-headless-no-dkms-530
Architecture: amd64 arm64
Conflicts: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Provides: nvidia-384
Replaces: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Depends:
 nvidia-kernel-common-530 (<= 530.41.03-1),
 nvidia-kernel-common-530 (>= 530.41.03),
 nvidia-kernel-source-530 (= ${binary:Version}),
 libnvidia-compute-530 (= ${binary:Version}),
 nvidia-compute-utils-530 (= ${binary:Version}),
 libnvidia-cfg1-530 (= ${binary:Version}),
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA headless metapackage - no DKMS
 This metapackage installs the NVIDIA driver and the libraries that enable
 parallel general purpose computation through CUDA and
 OpenCL. DKMS will not be installed, and, therefore, the kernel module
 will not be built.
 .
 Install this package if you do not need X11 or Wayland support, which is
 provided by the nvidia-driver-530 metapackage.

Package: nvidia-headless-530
Architecture: amd64 arm64
Conflicts: nvidia-headless
Provides: nvidia-headless
Replaces: nvidia-headless
Depends:
 nvidia-headless-no-dkms-530,
 nvidia-dkms-530,
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA headless metapackage
 This metapackage installs the NVIDIA driver and the libraries that enable
 parallel general purpose computation through CUDA and
 OpenCL.
 .
 Install this package if you do not need X11 or Wayland support, which is
 provided by the nvidia-driver-530 metapackage.

Package: nvidia-kernel-common-530
Architecture: amd64 arm64
Conflicts: nvidia-kernel-common
Provides: nvidia-kernel-common
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Replaces:
 nvidia-dkms-530 (<< 390.48-0ubuntu3~), nvidia-kernel-common
Description: Shared files used with the kernel module
 This package installs all the optional accessory files for the NVIDIA
 kernel module.
 .
 Install this package if you want to blacklist any conflicting kernel
 modules, and if you want udev to load the the NVIDIA kernel modules,
 and to create the uvm devices automatically.

Package: libnvidia-gl-530
Architecture: i386 amd64 arm64
Multi-Arch: same
Conflicts: libnvidia-gl
Replaces: libnvidia-gl, nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Provides: libnvidia-gl, libglx-vendor, libegl-vendor
Depends:
 libnvidia-common-530, ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
 This package provides the NVIDIA OpenGL/GLX/EGL/GLES libraries and the
 Vulkan ICD.

Package: libnvidia-common-530
Architecture: all
Multi-Arch: foreign
Breaks: libnvidia-gl-530 (<< 390.25-0ubuntu2~)
Conflicts: libnvidia-common
Replaces: libnvidia-common, libnvidia-gl-530 (<< 390.25-0ubuntu2~)
Provides: libnvidia-common
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Description: Shared files used by the NVIDIA libraries
 This package provides a set of files that are required by the NVIDIA
 libraries.

Package: libnvidia-extra-530
Architecture: i386 amd64 arm64
Multi-Arch: same
Breaks: libnvidia-common-530 (<< 440.64-0ubuntu3~)
Conflicts: libnvidia-extra
Replaces: libnvidia-extra, libnvidia-common-530 (<< 440.64-0ubuntu3~)
Provides: libnvidia-extra
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Description: Extra libraries for the NVIDIA driver
 This package provides an additional set of libraries to be used with
 the NVIDIA driver.

Package: xserver-xorg-video-nvidia-530
Section: non-free/x11
Architecture: amd64 arm64
Depends:
 libnvidia-cfg1-530 (= ${binary:Version}),
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Conflicts: xorg-driver-binary, nvidia-driver-binary
Replaces: xorg-driver-binary, nvidia-driver-binary
Provides:
 xorg-driver-binary, nvidia-driver-binary,
 ${nvidia:xorgProvides}
Description: NVIDIA binary Xorg driver
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 See /usr/share/doc/nvidia-driver-530/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: libnvidia-cfg1-530
Architecture: amd64 arm64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-cfg1-any,
Conflicts:
 libnvidia-cfg1-any,
Replaces:
 libnvidia-cfg1-any,
Description: NVIDIA binary OpenGL/GLX configuration library
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the libnvidia-cfg.so.1 runtime library.

Package: libnvidia-fbc1-530
Architecture: i386 amd64 arm64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
# ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-fbc1,
Conflicts:
 libnvidia-fbc1,
Replaces:
 libnvidia-fbc1,
Description: NVIDIA OpenGL-based Framebuffer Capture runtime library
 The NVIDIA OpenGL-based Framebuffer Capture (NvFBCOpenGL) library provides
 a high performance, low latency interface to capture and optionally encode an
 OpenGL framebuffer. NvFBCOpenGL is a private API that is only available to
 approved partners for use in remote graphics scenarios.
 .
 This package contains the NvFBCOpenGL runtime library.

Package: libnvidia-decode-530
Architecture: i386 amd64 arm64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libnvidia-compute-530 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Conflicts:
 libnvidia-decode,
Replaces:
 libnvidia-decode,
Provides:
 libnvidia-decode,
Description: NVIDIA Video Decoding runtime libraries
 This package includes the NVIDIA CUDA Video Decoder (NVCUVID) library which
 provides an interface to hardware video decoding capabilities on NVIDIA GPUs with CUDA.
 .
